
D4Science Infrastructure - Support #12813

/gcube root-VO: IS-Registry down (node9-d-d4s.d4science.org)

Nov 05, 2018 03:07 PM - Roberto Cirillo

Status: Closed Start date: Nov 05, 2018

Priority: Immediate Due date:  

Assignee: Tommaso Piccioli % Done: 100%

Category: Other Estimated time: 0.00 hour

Infrastructure: Development, Pre-Production   

Description

The IS-Registry of /gcube scope is down.

The problem is due to the Xen server where

node9-d-d4s.d4science.org is hosted.

History

#1 - Nov 07, 2018 11:13 AM - Roberto Cirillo

- Priority changed from Normal to High

Any update on this? I see the VM is still down.

#2 - Nov 08, 2018 03:06 PM - Roberto Cirillo

- Priority changed from High to Urgent

#3 - Nov 08, 2018 03:08 PM - Roberto Cirillo

Please @tommaso.piccioli@isti.cnr.it could you plan this activity?

At this moment we cannot have any new service on the root-VO because the registration fails

#4 - Nov 08, 2018 03:27 PM - Massimiliano Assante

- Priority changed from Urgent to Immediate

#6 - Nov 08, 2018 06:29 PM - Tommaso Piccioli

- Status changed from New to In Progress

- Assignee changed from Tommaso Piccioli to Roberto Cirillo

- % Done changed from 0 to 70

node9-d-d4s.d4science.org created as new node, up and running.

#7 - Nov 09, 2018 10:00 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Tommaso Piccioli

The java version installed isn't compatible with gCore based service:

OpenJDK Runtime Environment (build 1.8.0_171-8u171-b11-2~14.04-b11)

Please could you install a java 8 version lower than build 161?

#8 - Nov 09, 2018 12:20 PM - Giancarlo Panichi

- Infrastructure Pre-Production added

Any news on this question?

#9 - Nov 09, 2018 12:34 PM - Roberto Cirillo

- Status changed from Feedback to In Progress

- Assignee changed from Tommaso Piccioli to Roberto Cirillo
The new Registry instance is up and running but I see that only the gCore based containers are able to register the profile.

When a smartgears node try to register itself, I see this exception on the service:

2018-11-09 11:53:26,471 [pool-11-thread-3] WARN ProfileManager: publishing failed

javax.xml.ws.WebServiceException: java.net.SocketException: Unexpected end of file from server

at com.sun.xml.internal.ws.transport.http.client.HttpClientTransport.readResponseCodeAndMessage(HttpClientTran

sport.java:195)

at com.sun.xml.internal.ws.transport.http.client.HttpTransportPipe.createResponsePacket(HttpTransportPipe.java

:226)

at com.sun.xml.internal.ws.transport.http.client.HttpTransportPipe.process(HttpTransportPipe.java:217)

at com.sun.xml.internal.ws.transport.http.client.HttpTransportPipe.processRequest(HttpTransportPipe.java:130)

at com.sun.xml.internal.ws.transport.DeferredTransportPipe.processRequest(DeferredTransportPipe.java:124)

at com.sun.xml.internal.ws.api.pipe.Fiber.__doRun(Fiber.java:1121)

at com.sun.xml.internal.ws.api.pipe.Fiber._doRun(Fiber.java:1035)

at com.sun.xml.internal.ws.api.pipe.Fiber.doRun(Fiber.java:1004)

at com.sun.xml.internal.ws.api.pipe.Fiber.runSync(Fiber.java:862)

at com.sun.xml.internal.ws.client.Stub.process(Stub.java:448)

at com.sun.xml.internal.ws.client.sei.SEIStub.doProcess(SEIStub.java:178)

at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:93)

at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:77)

at com.sun.xml.internal.ws.client.sei.SEIStub.invoke(SEIStub.java:147)

at com.sun.proxy.$Proxy50.create(Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.gcube.common.clients.stubs.jaxws.proxies.MethodRetriever.invoke(MethodRetriever.java:25)

at com.sun.proxy.$Proxy51.create(Unknown Source)

at org.gcube.informationsystem.publisher.RegistryPublisherImpl.createResource(RegistryPublisherImpl.java:370)

at org.gcube.informationsystem.publisher.RegistryPublisherImpl.internalVosCreate(RegistryPublisherImpl.java:10

5)

at org.gcube.informationsystem.publisher.RegistryPublisherImpl.vosCreate(RegistryPublisherImpl.java:66)

at org.gcube.informationsystem.publisher.ScopedPublisherImpl.create(ScopedPublisherImpl.java:28)

at org.gcube.smartgears.handlers.application.lifecycle.ProfilePublisher.addTo(ProfilePublisher.java:89)

at org.gcube.smartgears.handlers.application.lifecycle.ProfilePublisher.addToAll(ProfilePublisher.java:103)

at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.publishFirstTime(ProfileManager.java:210

)

at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.access$200(ProfileManager.java:56)

at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager$1.publishAfterChange(ProfileManager.java

:136)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.gcube.common.events.impl.Observer.onEventImmediate(Observer.java:99)

at org.gcube.common.events.impl.Observer.onEvent(Observer.java:93)

at org.gcube.common.events.impl.DefaultHub$1.run(DefaultHub.java:194)

at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

at java.util.concurrent.FutureTask.run(FutureTask.java:266)

at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

at java.lang.Thread.run(Thread.java:748)

Caused by: java.net.SocketException: Unexpected end of file from server

at sun.net.www.http.HttpClient.parseHTTPHeader(HttpClient.java:851)

at sun.net.www.http.HttpClient.parseHTTP(HttpClient.java:678)

at sun.net.www.http.HttpClient.parseHTTPHeader(HttpClient.java:848)

at sun.net.www.http.HttpClient.parseHTTP(HttpClient.java:678)

at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1569)

at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)

at com.sun.xml.internal.ws.transport.http.client.HttpClientTransport.readResponseCodeAndMessage(HttpClientTran

sport.java:191)

... 41 common frames omitted

 and smartgears side I see the following exception:

2018-11-09 11:53:26,471 [pool-11-thread-3] WARN  ProfileManager: publishing failed

javax.xml.ws.WebServiceException: java.net.SocketException: Unexpected end of file from server

    at com.sun.xml.internal.ws.transport.http.client.HttpClientTransport.readResponseCodeAndMessage(HttpClient

Transport.java:195)

    at com.sun.xml.internal.ws.transport.http.client.HttpTransportPipe.createResponsePacket(HttpTransportPipe.

java:226)

    at com.sun.xml.internal.ws.transport.http.client.HttpTransportPipe.process(HttpTransportPipe.java:217)

    at com.sun.xml.internal.ws.transport.http.client.HttpTransportPipe.processRequest(HttpTransportPipe.java:1

30)
    at com.sun.xml.internal.ws.transport.DeferredTransportPipe.processRequest(DeferredTransportPipe.java:124)

    at com.sun.xml.internal.ws.api.pipe.Fiber.__doRun(Fiber.java:1121)

    at com.sun.xml.internal.ws.api.pipe.Fiber._doRun(Fiber.java:1035)

    at com.sun.xml.internal.ws.api.pipe.Fiber.doRun(Fiber.java:1004)

    at com.sun.xml.internal.ws.api.pipe.Fiber.runSync(Fiber.java:862)

    at com.sun.xml.internal.ws.client.Stub.process(Stub.java:448)

    at com.sun.xml.internal.ws.client.sei.SEIStub.doProcess(SEIStub.java:178)

    at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:93)

    at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:77)

    at com.sun.xml.internal.ws.client.sei.SEIStub.invoke(SEIStub.java:147)

    at com.sun.proxy.$Proxy50.create(Unknown Source)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.gcube.common.clients.stubs.jaxws.proxies.MethodRetriever.invoke(MethodRetriever.java:25)

    at com.sun.proxy.$Proxy51.create(Unknown Source)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.createResource(RegistryPublisherImpl.java:3

70)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.internalVosCreate(RegistryPublisherImpl.jav

a:105)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.vosCreate(RegistryPublisherImpl.java:66)

    at org.gcube.informationsystem.publisher.ScopedPublisherImpl.create(ScopedPublisherImpl.java:28)

    at org.gcube.smartgears.handlers.application.lifecycle.ProfilePublisher.addTo(ProfilePublisher.java:89)

    at org.gcube.smartgears.handlers.application.lifecycle.ProfilePublisher.addToAll(ProfilePublisher.java:103

)

    at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.publishFirstTime(ProfileManager.java

:210)

    at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager.access$200(ProfileManager.java:56)

    at org.gcube.smartgears.handlers.application.lifecycle.ProfileManager$1.publishAfterChange(ProfileManager.

java:136)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.gcube.common.events.impl.Observer.onEventImmediate(Observer.java:99)

    at org.gcube.common.events.impl.Observer.onEvent(Observer.java:93)

    at org.gcube.common.events.impl.DefaultHub$1.run(DefaultHub.java:194)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

    at java.util.concurrent.FutureTask.run(FutureTask.java:266)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:748)

Caused by: java.net.SocketException: Unexpected end of file from server

    at sun.net.www.http.HttpClient.parseHTTPHeader(HttpClient.java:851)

    at sun.net.www.http.HttpClient.parseHTTP(HttpClient.java:678)

    at sun.net.www.http.HttpClient.parseHTTPHeader(HttpClient.java:848)

    at sun.net.www.http.HttpClient.parseHTTP(HttpClient.java:678)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1569)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)

    at com.sun.xml.internal.ws.transport.http.client.HttpClientTransport.readResponseCodeAndMessage(HttpClient

Transport.java:191)

    ... 41 common frames omitted

#10 - Nov 09, 2018 12:55 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Tommaso Piccioli

I guess it could be a java incompatibility. Please @tommaso.piccioli@isti.cnr.it could you try to downgrade the local java to build 1.7.0_121 ?

You can take the library from node2.d4science.org

#11 - Nov 09, 2018 02:41 PM - Roberto Cirillo

- Status changed from Feedback to Closed

- % Done changed from 70 to 100

Problem solved installing java7.

Now all the container smartgears based are registered properly.
